#!/bin/sh
# $Id$
echo " ; date
       -----         -----         
      /     \\       /     \\       /
     /       \\     /       \\     /
-----         -----         -----
     \\       /     \\       /     \\
      \\     /       \\     /       \\
       -----         ----- detLFS  -
      /     \\       /     \\       /
     /       \\     /       \\     /
-----         -----         -----
http://www.dettus.net/detLFS/detLFS_0.01.tar.gz

 The purpose of this script is to build the packages.

 Hopefully, the previous scripts are finished at this point.
" ; date

export DETLFSROOT=`pwd`
export TOOLSDIR=`pwd`/Tools
export BUILDDIR=`pwd`/Build
export SOURCESDIR=`pwd`/Sources
export DOWNLOADSDIR=`pwd`/Downloads
export DESTINATIONDIR=`pwd`/Destination


export PATH=$TOOLSDIR/bin:$PATH
export CROSS_COMPILE=$TOOLSDIR/bin/arm-linux-gnueabihf-
export DESTDIR=$DESTINATIONDIR


echo ">>> building BINUTILS" ; date
(
	cd $BUILDDIR
	mkdir binutils2/ ; cd binutils2
	export CROSS_COMPILE=$TOOLSDIR/bin/arm-linux-gnueabihf-
	$SOURCESDIR/binutils/configure --target=arm-linux-gnueabihf --host=arm-linux-gnueabihf --prefix=/usr --with-sysroot --disable-nls --disable-werror
	echo ">>>>>" ; date
	make -j 8
	make install
)

echo ">>> installing glibc (for real)" ; date
(
	cd $BUILDDIR
	mkdir glibc5 ; mkdir glibc5
	$SOURCESDIR/glibc/configure --host=arm-linux-gnueabihf --prefix=/ --with-headers=$DESTINATIONDIR/usr/include
	echo ">>>>>" ; date
	make -j 8 cross-compiling=yes
	make -j 8 cross-compiling=yes  install
	make install
)

echo ">>> installing glibc (again)" ; date
(
	cd $BUILDDIR
	mkdir glibc6 ; mkdir glibc6
	$SOURCESDIR/glibc/configure --host=arm-linux-gnueabihf --prefix=/arm-linux-gnueabihf/ --with-headers=$DESTINATIONDIR/usr/include
	echo ">>>>>" ; date
	make -j 8 cross-compiling=yes
	make -j 8 cross-compiling=yes  install
	make install
)

####echo ">>> building gcc" ; date
####(
####	cd $SOURCESDIR/build
####	tar xvfz $DOWNLOADSDIR/gcc-5.4.0.tar.gz
####	cd gcc-5.4.0
####	tar xvfJ $DOWNLOADSDIR/mpfr-3.1.4.tar.xz ; mv mpfr-3.1.4 mpfr
####	tar xvfJ $DOWNLOADSDIR/gmp-6.1.1.tar.xz ; mv gmp-6.1.1 gmp
####	tar xvfz $DOWNLOADSDIR/mpc-1.0.3.tar.gz ; mv mpc-1.0.3 mpc
####	mkdir build-cross ; cd build-cross
####	../configure --prefix=/usr --target=arm-linux-gnueabihf --host=arm-linux-gnueabihf --enable-languages=c,c++ --with-float=hard  --with-build-sysroot=$DESTINATIONDIR
####	make -j 8 all-gcc && make -j 8 all-target-libgcc && make install-gcc && make install-target-libgcc
####	
####)
echo ">>> building gcc (arm->arm)" ; date
(
	cd $BUILDDIR
	mkdir gcc3 ; cd gcc3
	$SOURCESDIR/gcc/configure --prefix=/usr --target=arm-linux-gnueabihf --host=arm-linux-gnueabihf --disable-nls --enable-languages=c,c++ --disable-multilib 
	echo ">>>>>" ; date
	make -j 8 all-gcc && make -j 8 all-target-libgcc && make install-gcc && make install-target-libgcc
	make -j 8
	make install
)

echo ">>> building gcc (arm->arm)" ; date
(
	export CROSS_COMPILE="" ; date
	cd $BUILDDIR
	mkdir gcc4 ; cd gcc4
	$SOURCESDIR/gcc/configure --prefix=/usr --target=arm-linux-gnueabihf --host=arm-linux-gnueabihf --disable-nls --enable-languages=c,c++ --disable-multilib 
	make -j 8 all-gcc && make -j 8 all-target-libgcc && make install-gcc && make install-target-libgcc
	echo ">>>>>" ; date
	make -j 8
	make install
)
du -sh $TOOLSDIR
du -sh $BUILDDIR
du -sh $DESTINATIONDIR

echo ">>> done" ; date

